Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class CacheMethod

    java.lang.Object
      |
      +--com.beasys.commerce.util.CacheMethod

public class CacheMethod
extends Object

Abstracts a key for caching Java method objects

Constructor Summary
`CacheMethod(Class clazz, String methodName, Class[] paramTypes, Method method)` Cache method.

Method Summary
`protected boolean` | `checkParams(Class[] someParams)` Check params.
`boolean` | `equals(Object anObject)` Equals.
`String` | `getKey()` Returns a key
`Method` | `getMethod()` Returns the method
`void` | `setMethod(Method method)` Sets the method
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheMethod

    public CacheMethod(Class clazz,
                       String methodName,
                       Class[] paramTypes,
                       Method method)

  Cache method.

Parameters:
  `clazz` - Class that the method is specified in
  `methodName` - String method name

Method Detail

### getKey

    public String getKey()

  Returns a key

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getMethod

    public Method getMethod()

  Returns the method

### setMethod

    public void setMethod(Method method)

  Sets the method

### equals

    public boolean equals(Object anObject)

  Equals.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `anObject` -
  Returns:
    `boolean`

### checkParams

    protected boolean checkParams(Class[] someParams)

  Check params.

  Parameters:
    `someParams` -
  Returns:
    `boolean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved